Bug 444923 - Firefox print dialog hangs when ipp printer not available
Firefox print dialog hangs when ipp printer not available
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-01 19:44 EDT by Christopher Tubbs
Modified: 2009-07-14 13:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:10:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Tubbs 2008-05-01 19:44:57 EDT
Description of problem:
I used to have my printer connected via ipp, but I took down the print server
for maintenance, and connected the USB printer directly to my laptop. So now,
two printers are configured in cups: 1 local and 1 remote (ipp). The remote
printer is not available. Now, printing in firefox hangs indefinitely (until I
removed remote printer in system-config-printer manually). I don't know if other
apps' print dialogs are affected also.

Version-Release number of selected component (if applicable):
firefox-3.0-0.59.beta5.fc9.i386
cups-1.3.7-1.fc9.i386
system-config-printer-0.7.82.2-1.fc9.i386

How reproducible:
Every time I tried.

Steps to Reproduce:
1. Configure remote printer via cups (system-config-printer)
2. Configure local printer via cups
3. Disconnect print server for remote printer
4. Start firefox
5. Attempt to print a page.
  
Actual results:
Print dialog hangs indefinitely.

Expected results:
Print dialog should show available printers and remote printers that are not
available should be marked as such (or not shown).

Additional info:
F9 preview
Printer is HP photosmart 7350, USB
Remote printer is "shared" via system-config-printer settings (ipp)
Severity marked as "medium" because printer unavailability should not block
access to other printers that are available.
Comment 1 Christopher Aillon 2008-05-01 20:00:43 EDT
The print dialog is from GTK+.
Comment 2 Bug Zapper 2008-05-14 06:29:54 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Tim Niemueller 2008-08-30 08:30:24 EDT
The problem is the same for intsance for OpenOffice.org. It's a critical problem. I've got a small box serving as print server. When it is not turned on before the printing dialog is openened, it will hang. Strace shows that it hangs in the socket connect to the CUPS port on the server. Setting up an iptables rule to remporarily reject access to the IP in the OUTPUT change makes the printing dialog come back after a short while.

It seems that the problem can be eliminated by using a concurrent thread that tries to access the printer (for instance showing "trying to connect to printer" in the status column) allowing for a timeout on connect() (cancel thread with a timer after n seconds, where n is reasonable for a GUI. Although it may be ok if a connection is established after a few minutes from a networking perspective, only a few seconds is acceptable for an interactive dialog).

Is there any upstream work happening for this and are there plans for an upgrade, possibly with a quick fix?
Comment 4 Tim Niemueller 2008-09-30 07:34:06 EDT
Any progress on this issue?
Comment 5 Bug Zapper 2009-06-09 20:33:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:10:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.